text-show-3.10.4: Efficient conversion of values into Text

Copyright | (C) 2014-2017 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | Safe-Inferred
Language | Haskell2010

TextShow.System.Exit

Contents

- Orphan instances

Description

`TextShow` instance for `ExitCode`.

Since: 2

# Orphan instances

TextShow ExitCode Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ExitCode -> Builder Source #

showb :: ExitCode -> Builder Source #

showbList :: [ExitCode] -> Builder Source #

showtPrec :: Int -> ExitCode -> Text Source #

showt :: ExitCode -> Text Source #

showtList :: [ExitCode] -> Text Source #

showtlPrec :: Int -> ExitCode -> Text Source #

showtl :: ExitCode -> Text Source #

showtlList :: [ExitCode] -> Text Source #